package Alien::wxWidgets::Config::gtk2_2_6_3_uni_gcc_3_4;

use strict;

our %VALUES;

{
    no strict 'vars';
    %VALUES = %{
$VAR1 = {
          'defines' => '-DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -DNO_GCC_PRAGMA ',
          'include_path' => '-I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 ',
          'alien_package' => 'Alien::wxWidgets::Config::gtk2_2_6_3_uni_gcc_3_4',
          'version' => '2.006003',
          'alien_base' => 'gtk2_2_6_3_uni_gcc_3_4',
          'link_libraries' => ' -lpthread',
          'c_flags' => '',
          '_libraries' => {
                            'core' => {
                                        'link' => '-lwx_gtk2u_core-2.6',
                                        'dll' => 'libwx_gtk2u_core-2.6.so'
                                      },
                            'gl' => {
                                      'link' => '-lwx_gtk2u_gl-2.6',
                                      'dll' => 'libwx_gtk2u_gl-2.6.so'
                                    },
                            'net' => {
                                       'link' => '-lwx_baseu_net-2.6',
                                       'dll' => 'libwx_baseu_net-2.6.so'
                                     },
                            'html' => {
                                        'link' => '-lwx_gtk2u_html-2.6',
                                        'dll' => 'libwx_gtk2u_html-2.6.so'
                                      },
                            'media' => {
                                         'link' => '-lwx_gtk2u_media-2.6',
                                         'dll' => 'libwx_gtk2u_media-2.6.so'
                                       },
                            'xml' => {
                                       'link' => '-lwx_baseu_xml-2.6',
                                       'dll' => 'libwx_baseu_xml-2.6.so'
                                     },
                            'animate' => {
                                           'link' => '-lwx_gtk2u_animate-2.6',
                                           'dll' => 'libwx_gtk2u_animate-2.6.so'
                                         },
                            'xrc' => {
                                       'link' => '-lwx_gtk2u_xrc-2.6',
                                       'dll' => 'libwx_gtk2u_xrc-2.6.so'
                                     },
                            'base' => {
                                        'link' => '-lwx_baseu-2.6',
                                        'dll' => 'libwx_baseu-2.6.so'
                                      },
                            'stc' => {
                                       'link' => '-lwx_gtk2u_stc-2.6',
                                       'dll' => 'libwx_gtk2u_stc-2.6.so'
                                     },
                            'fl' => {
                                      'link' => '-lwx_gtk2u_fl-2.6',
                                      'dll' => 'libwx_gtk2u_fl-2.6.so'
                                    },
                            'gizmos' => {
                                          'link' => '-lwx_gtk2u_gizmos-2.6',
                                          'dll' => 'libwx_gtk2u_gizmos-2.6.so'
                                        },
                            'ogl' => {
                                       'link' => '-lwx_gtk2u_ogl-2.6',
                                       'dll' => 'libwx_gtk2u_ogl-2.6.so'
                                     },
                            'qa' => {
                                      'link' => '-lwx_gtk2u_qa-2.6',
                                      'dll' => 'libwx_gtk2u_qa-2.6.so'
                                    },
                            'plot' => {
                                        'link' => '-lwx_gtk2u_plot-2.6',
                                        'dll' => 'libwx_gtk2u_plot-2.6.so'
                                      },
                            'adv' => {
                                       'link' => '-lwx_gtk2u_adv-2.6',
                                       'dll' => 'libwx_gtk2u_adv-2.6.so'
                                     },
                            'svg' => {
                                       'link' => '-lwx_gtk2u_svg-2.6',
                                       'dll' => 'libwx_gtk2u_svg-2.6.so'
                                     }
                          },
          'compiler' => 'g++',
          'link_flags' => '',
          'linker' => 'g++ -shared -fPIC  ',
          'config' => {
                        'compiler_version' => '3.4',
                        'compiler_kind' => 'gcc',
                        'mslu' => 0,
                        'toolkit' => 'gtk2',
                        'unicode' => 1,
                        'debug' => 0,
                        'build' => 'multi'
                      },
          'prefix' => '/usr'
        };
    };
}

my $key = substr __PACKAGE__, 1 + rindex __PACKAGE__, ':';

sub values { %VALUES, key => $key }

sub config {
   +{ %{$VALUES{config}},
      package       => __PACKAGE__,
      key           => $key,
      version       => $VALUES{version},
      }
}

1;
